<?php

/**
 * This translator is written by Lena Kozharinova on 29/11/2010 for the metagame
 * http://nuclear-sprint.ru/.
 */
class id5_from30_to31_translator_calc_math extends base_and_or_translator_calc_math
{

	protected $trans_data_and = array(
		1109 => array(1056 => 3),
		1110 => array(1004 => 3),
		1111 => array(1013 => 3, 1003 => 3, 1007 => 3),
		1112 => array(992 => 3, 1004 => 3, 1007 => 3),
		1113 => array(1003 => 3),
		1114 => array(1003 => 3),
		1115 => array(1004 => 3),
		1116 => array(991 => 3),
		1117 => array(978 => 3, 1028 => 3, 1027 => 3, 1010 => 3),
		1118 => array(979 => 3, 1009 => 3),
		1119 => array(1011 => 3, 991 => 3),
		1120 => array(1009 => 3),
		1121 => array(1009 => 3),
		1122 => array(978 => 3, 980 => 3),
		1123 => array(989 => 3, 995 => 3, 998 => 3),
		1124 => array(991 => 3),
		1125 => array(991 => 3),
		1126 => array(1010 => 3, 982 => 3, 984 => 3),
		1127 => array(989 => 3),
		1129 => array(989 => 3, 991 => 3, 992 => 3),
		1130 => array(1024 => 3),
		1131 => array(1024 => 3, 984 => 3, 982 => 3),
		1132 => array(1024 => 3),
		1133 => array(1025 => 3),
		1134 => array(1025 => 3),
		1135 => array(972 => 3),
		1136 => array(988 => 3),
		1137 => array(971 => 3),
		1138 => array(978 => 3, 974 => 3),
		1139 => array(974 => 3),
		1140 => array(972 => 3, 991 => 3),
		1141 => array(1026 => 3, 969 => 3, 979 => 3, 1028 => 3, 980 => 3, 1027 => 3),
		1290 => array(1009 => 3),
		1142 => array(1004 => 3, 991 => 3, 1010 => 3, 1007 => 3),
		1143 => array(1007 => 3, 1004 => 3),
		1144 => array(1010 => 3, 1024 => 3, 1000 => 3),
		1145 => array(970 => 3, 972 => 3),
		1146 => array(996 => 3, 992 => 3, 1008 => 3),
		1148 => array(992 => 3, 1011 => 3),
		1149 => array(1011 => 3),
		1291 => array(997 => 3),
		1151 => array(989 => 3, 995 => 3, 1000 => 3),
		1152 => array(994 => 3),
		1153 => array(1000 => 3),
		1154 => array(1000 => 3, 1024 => 3),
		1155 => array(987 => 3),
		1156 => array(987 => 3),
		1158 => array(973 => 3),
		1159 => array(1017 => 3),
		1160 => array(1018 => 3),
		1161 => array(1003 => 3),
		1162 => array(993 => 3),
		1163 => array(1005 => 3),
		1164 => array(1012 => 3),
		1165 => array(991 => 3, 982 => 3, 984 => 3),
		1166 => array(1004 => 3),
		1168 => array(1017 => 3, 1028 => 3, 1010 => 3),
		1169 => array(1010 => 3),
		1170 => array(1015 => 3),
		1171 => array(1002 => 3),
		1172 => array(1006 => 3),
		1173 => array(993 => 3),
		1174 => array(1016 => 3),
		1175 => array(1015 => 3, 989 => 3),
		1176 => array(1023 => 3),
		1177 => array(1023 => 3),
		1178 => array(1023 => 3, 1011 => 3, 1009 => 3),
		1179 => array(1023 => 3, 1020 => 3),
		1180 => array(1021 => 3),
		1181 => array(1021 => 3, 1004 => 3),
		1182 => array(1023 => 3),
		1183 => array(1022 => 3),
		1184 => array(1032 => 3),
		1185 => array(1022 => 3),
		1186 => array(1023 => 3),
		1187 => array(1023 => 3, 1011 => 3),
		1188 => array(1020 => 3, 1011 => 3),
		1189 => array(1023 => 3, 1028 => 3),
		1190 => array(982 => 3, 984 => 3),
		1191 => array(1022 => 3, 979 => 3),
		1192 => array(1032 => 3, 1004 => 3),
		1193 => array(991 => 3, 1021 => 3),
		1194 => array(1022 => 3, 1028 => 3),
		1195 => array(1022 => 3, 979 => 3),
		1196 => array(1057 => 3),
		1197 => array(1042 => 3, 977 => 3),
		1198 => array(1031 => 3, 981 => 3),
		1199 => array(980 => 3),
		1200 => array(983 => 3),
		1201 => array(1014 => 3),
		1202 => array(979 => 3, 1057 => 3),
		1203 => array(1057 => 3, 971 => 3, 979 => 3),
		1204 => array(1057 => 3, 978 => 3, 979 => 3),
		1205 => array(979 => 3, 1057 => 3),
		1206 => array(981 => 3, 979 => 3),
		1207 => array(1007 => 3),
		1209 => array(1056 => 3),
		1210 => array(979 => 3, 974 => 3),
		1211 => array(1057 => 3, 1056 => 3, 991 => 3),
		1212 => array(979 => 3, 1019 => 3),
		1213 => array(974 => 3),
		1214 => array(1032 => 3, 981 => 3),
		1215 => array(1026 => 3, 1004 => 3, 1007 => 3),
		1216 => array(978 => 3, 980 => 3),
		1217 => array(976 => 3, 977 => 3),
		1218 => array(1010 => 3, 1056 => 3),
		1219 => array(1026 => 3, 1028 => 3, 991 => 3),
		1220 => array(973 => 3),
		1221 => array(973 => 3, 974 => 3),
		1222 => array(972 => 3, 987 => 3, 973 => 3),
		1223 => array(1024 => 3, 981 => 3, 984 => 3),
		1224 => array(976 => 3, 980 => 3, 978 => 3),
		1225 => array(976 => 3, 1057 => 3),
		1226 => array(979 => 3),
		1227 => array(979 => 3),
		1228 => array(991 => 3, 980 => 3),
		1229 => array(1032 => 3, 978 => 3),
		1230 => array(978 => 3, 982 => 3, 984 => 3),
		1231 => array(1031 => 3),
		1232 => array(1031 => 3),
		1233 => array(1048 => 3),
		1234 => array(1057 => 3),
		1235 => array(1057 => 3, 978 => 3),
		1236 => array(1057 => 3),
		1237 => array(1029 => 3),
		1238 => array(979 => 3, 988 => 3),
		1239 => array(976 => 3, 977 => 3),
		1240 => array(1045 => 3),
		1241 => array(983 => 3),
		1242 => array(1024 => 3, 984 => 3),
		1244 => array(977 => 3),
		1245 => array(969 => 3, 971 => 3),
		1246 => array(1057 => 3, 1026 => 3),
		1247 => array(1057 => 3, 979 => 3),
		1248 => array(979 => 3, 981 => 3),
		1249 => array(979 => 3, 1057 => 3, 971 => 3),
		1250 => array(1029 => 3, 981 => 3),
		1251 => array(1025 => 3),
		1252 => array(981 => 3),
		1253 => array(981 => 3, 1031 => 3),
		1254 => array(1024 => 3, 981 => 3, 984 => 3),
		1255 => array(1010 => 3, 1057 => 3),
		1256 => array(1031 => 3),
		1257 => array(1031 => 3),
		1258 => array(1047 => 3),
		1259 => array(1035 => 3),
		1260 => array(1014 => 3),
		1261 => array(980 => 3),
		1280 => array(1044 => 3),
		1281 => array(1025 => 3),
		1282 => array(1033 => 3),
		1283 => array(1043 => 3),
		1284 => array(1037 => 3, 1039 => 3),
		1285 => array(1040 => 3),
		1286 => array(1025 => 3),
		1287 => array(1042 => 3),
		1288 => array(1057 => 3, 1010 => 3),
		1289 => array(1057 => 3, 979 => 3),
		1262 => array(979 => 3, 981 => 3),
		1263 => array(979 => 3, 1057 => 3, 971 => 3),
		1264 => array(979 => 3, 981 => 3),
		1265 => array(1026 => 3, 1057 => 3),
		1266 => array(981 => 3, 1031 => 3),
		1267 => array(977 => 3),
		1268 => array(1031 => 3),
		1269 => array(1031 => 3),
		1270 => array(1025 => 3),
		1271 => array(1024 => 3),
		1272 => array(981 => 3),
		1273 => array(1034 => 3),
		1274 => array(1025 => 3, 980 => 3),
		1275 => array(1030 => 3, 1040 => 3),
		1276 => array(1046 => 3),
		1277 => array(1029 => 3, 981 => 3),
		1278 => array(1041 => 3),
		1279 => array(1033 => 3),
		1307 => array(1347 => 3),
		1308 => array(1347 => 3),
		1309 => array(1348 => 3),
		1310 => array(1348 => 3),
		1311 => array(1348 => 3),
		1312 => array(974 => 3),
		1313 => array(1028 => 3),
		1314 => array(1004 => 3),
		1315 => array(1349 => 3),
		1316 => array(1348 => 3),
		1317 => array(1015 => 3, 1350 => 3),
		1318 => array(1006 => 3, 1028 => 3),
		1319 => array(993 => 3),
		1320 => array(1348 => 3, 991 => 3),
		1321 => array(1004 => 3),
		1322 => array(1017 => 3),
		1323 => array(1347 => 3),
		1325 => array(991 => 3, 1004 => 3),
		1326 => array(991 => 3, 1348 => 3),
		1327 => array(1347 => 3),
		1328 => array(1057 => 3),
		1329 => array(997 => 3),
		1330 => array(997 => 3),
		1331 => array(1009 => 3),
		1332 => array(1348 => 3, 991 => 3),
		1333 => array(993 => 3),
		1334 => array(993 => 3),
		1335 => array(1004 => 3),
		1336 => array(1017 => 3),
		1337 => array(974 => 3),
		1338 => array(992 => 3),
		1339 => array(1002 => 3),
		1340 => array(1006 => 3, 1004 => 3),
		1341 => array(1347 => 3, 1025 => 3),
		1342 => array(1347 => 3),
		1343 => array(1347 => 3, 1030 => 3),
		1344 => array(1347 => 3),
		1345 => array(982 => 3, 991 => 3),
		1346 => array(974 => 3),
	);
	protected $trans_data_or = array(
	);
	protected $translator_id = 5;
	protected $competence_set_id_src = 30;
	protected $competence_set_id_target = 31;

}

?>